## Version 1.8.4

Double bump :
* Vers la 1.8.3 : https://github.com/ether/etherpad-lite/releases/tag/1.8.3
* Vers la 1.8.4 : https://github.com/ether/etherpad-lite/releases/tag/1.8.4

Concernant notre instance :

### Base de données :
* [Changement de la taille du cache d'index](https://gitlab.utc.fr/picasoft/projets/dockerfiles/-/commit/8f1056face52a5e37d71028acbc5750c777bde82), la performance devrait être **grandement** améliorée

### Application :
* Nouveau plugin pour retourner à la page d'accueil (bouton tout à gauche)
* Nouveau plugin d'administration, pour lister les pads, les supprimer, voir le nombre d'auteur, etc
* Nouveau plugin permettant d'envoyer une annonce à tous les utilisateurs connectés, utile pour les mises à jour
* On peut de nouveau créer des pads sur l'instance principale ; la rétention est de deux ans, évolution à surveiller.
* Gestion de l'instance week et principale avec la CI et avec la même image Docker (configuration différente, versionnée sur le dépôt)
* Suppression des plugins obsolètes/inutiles, en particulier les tables, le comptage des mots, "page view", taille de police
* La même page d'accueil est utilisée pour les deux instances.

### Technique :
* Passage des liens aux réseaux Docker pour une meilleure isolation
* Durée du HEALTHCHECK diminuée pour que Traefik prenne en compte Etherpad plus rapidement
* Suppression effective des pads ayant dépassé la durée de rétention **une fois par semaine**, pour éviter des problèmes de performances ; cf [Framasoft](https://framagit.org/framasoft/Etherpad/pad_delete_after_delay), qui sur le plugin concerné indique :
> But we have so many pads (more than 30k on some instances) that the plugin fails to work correctly: it causes a really huge load on the etherpad processus at start and stuck it.

* Du coup, ne pas activer la suppression des pads ayant dépassé la durée de rétention à chaque redémarrage, pour éviter que ça prenne 15 min à démarrer, lors d'un crash par exemple.
* Tous les paramètres sont pris en charge par des variables d'environnement : meilleur nommage et ajustements des fichiers settings.json
