## Lufi

Ce dossier comprend les fichiers nécessaires pour lancer une instance de [Lufi](https://framagit.org/fiat-tux/hat-softwares/lufi/), un service libre de partage de fichier chiffrés.

### Configuration

Le fichier de configuration principal est [lufi.conf](./lufi.conf).
Il peut recevoir des variables d'environnement avec la syntaxe suivante : `$ENV['<env_variable>']`.

Le thème est injecté directement dans l'image à partir du dossier [picadrop](./picadrop).
Il ne contient pas de modifications esthétiques pour le moment, juste une modification des URL (CGU...).

### Lancement

Copier les fichiers de secrets en enlevant le `.example` et lancer le fichier Compose.

### Mise à jour

Il suffit de changer `LUFI_BUILD_VERSION` dans le `Dockerfile` et de reconstruire l'image.
Aucune autre opération n'est nécessaire pour effectuer les migrations et relancer le service.

En revanche, on veillera à :
* Vérifier qu'aucun paramètre de configuration important n'est apparu dans le [template de configuration](https://framagit.org/fiat-tux/hat-softwares/lufi/-/blob/master/lufi.conf.template), sinon on le rajoutera.
* Vérifier qu'il n'y a pas eu d'amélioration majeure dans [le thème par défaut](https://framagit.org/fiat-tux/hat-softwares/lufi/-/tree/master/themes/default), sur lequel on se base, sinon on les rajoutera.

De manière générale, on regardera le [changelog](https://framagit.org/fiat-tux/hat-softwares/lufi/-/releases) pour ne rien rater!
